# class AnalogLineGroup | A group of analog lines. More...
Full name | `TelEngine::AnalogLineGroup`
Definition | `#include <libs/ysig/yatesig.h>`
Inherits | TelEngine::SignallingCircuitGroup [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- AnalogLineGroup (AnalogLine::Type type, const char* name, bool slave = false)
- AnalogLineGroup (const char* name, AnalogLineGroup* fxo)
- virtual ~AnalogLineGroup ()
- inline AnalogLine::Type type () const
- inline ObjList& lines ()
- inline AnalogLineGroup* fxo ()
- inline bool slave ()
- bool appendLine (AnalogLine* line, bool destructOnFail = true)
- void removeLine (unsigned int cic)
- void removeLine (AnalogLine* line)
- AnalogLine* findLine (unsigned int cic)
- AnalogLine* findLine (const String& address)
- virtual AnalogLineEvent* getEvent (const Time& when)

#### Protected Methods

- virtual void destroyed ()

#### Protected Members

- ObjList m_lines

## Detailed Description

This class is an analog line container. It may contain another group when used to monitor analog lines

AnalogLineGroup (AnalogLine::Type type, const char* name, bool slave = false) | ### AnalogLineGroup

Constructor. Construct an analog line group owning single lines

Parameters:

type | Line type as enumeration
name | Name of this component
slave | True if this is an FXO group owned by an FXS one. Ignored if type is not FXO

AnalogLineGroup (const char* name, AnalogLineGroup* fxo) | ### AnalogLineGroup

Constructor. Construct an FXS analog line group owning another group of FXO analog lines. The fxo group is owned by this component and will be destructed if invalid (not FXO type)

Parameters:

name | Name of this component
fxo | The FXO group

~AnalogLineGroup () | ### ~AnalogLineGroup

[virtual]

Destructor

inline AnalogLine::Type type () | ### type

[const]

Get this group's type

Returns: The group's type

inline ObjList& lines () | ### lines

Get the analog lines belonging to this group

Returns: The group's lines list

inline AnalogLineGroup* fxo () | ### fxo

Get the group holding the FXO lines if present

Returns: The group holding the FXO lines or 0

inline bool slave () | ### slave

Check if this is an FXO group owned by an FXS one

Returns: True if this is an FXO group owned by an FXS one

bool appendLine (AnalogLine* line, bool destructOnFail = true) | ### appendLine

Append a line to this group. Line must have the same type as this group and must be owned by this group

Parameters:

line | The line to append
destructOnFail | Destroy line if failed to append. Defaults to true

Returns: True on success

void removeLine (unsigned int cic) | ### removeLine

Remove a line from the list and destruct it

Parameters:

cic | The signalling circuit's code used by the line

void removeLine (AnalogLine* line) | ### removeLine

Remove a line from the list without destroying it

Parameters:

line | The line to be removed

AnalogLine* findLine (unsigned int cic) | ### findLine

Find a line by its circuit

Parameters:

cic | The signalling circuit's code used by the line

Returns: AnalogLine pointer or 0 if not found

AnalogLine* findLine (const String& address) | ### findLine

Find a line by its address

Parameters:

address | The address of the line

Returns: AnalogLine pointer or 0 if not found

AnalogLineEvent* getEvent (const Time& when) | ### getEvent

[virtual]

Iterate through the line list to get an event

Parameters:

when | The current time

Returns: AnalogLineEvent pointer or 0 if no events

void destroyed () | ### destroyed

[protected virtual]

Remove all lines. Release object

Reimplemented from SignallingCircuitGroup.

ObjList m_lines | ### m_lines

[protected]

Generated by: paulc on bussard on Mon Feb 10 13:15:47 2014, using kdoc 2.0a54.